@media print {
    .actions, button {
        display: none !important;
    }
}

@media (max-width: 467px) {
    .jumbotron .row { margin-top: 25px !important; }
    .jumbotron h1 { font-size: 20px !important; /*margin-left: -10px !important;*/ }
    /*#deploy_table .description { display: none !important; }*/
}

@media (max-width: 767px) and (min-width: 468px) {
    body, .dropdown-menu, .btn, .label { font-size: 12px !important; }
    h1 { font-size: 36px !important; }
    h2 { font-size: 26px !important; }
    h3 { font-size: 18px !important; }
    h4 { font-size: 14px !important; }
    .bs-wizard > .bs-wizard-step .bs-wizard-stepnum { font-size: 11px !important; }
    .bs-wizard > .bs-wizard-step .bs-wizard-info { font-size: 11px !important; }
    .table .actions {width: 115px !important;}
    .jumbotron .row { margin-top: 25px !important; }
    .jumbotron h1 { font-size: 20px !important; /*margin-left: 0px !important;*/ }
    #save_btn { margin-top: 25px !important; }
    /*#deploy_table .description { display: none !important; }*/
}

@media (max-width: 991px) and (min-width: 768px) {
    #map_ctn { padding-right: 8px !important; }
    .jumbotron h1 { /*margin-left: 10px !important;*/ }
    /*#deploy_table .description { display: none !important; }*/
}

@media (max-width:1200px) and (min-width: 992px) {
    .jumbotron h1 { /*margin-left: 28px !important;*/ }
}​

a:hover {
    text-decoration: none;
}

h1 {
    font-family: 'Roboto', sans-serif;
}

.main {
    margin: 0 10px;
}

#langmenu {
    margin: 5px 10px 0 5px;
}

a:hover {
    text-decoration: none;
}

.notActive {
    color: #3276b1 !important;
    background-color: #FFF !important;
}

.dropdown ul.custom {
    background: #FFF;
    min-width: 250px;
}

.jumbotron {
    padding-bottom: 20px !important;
}

.navbar-custom {
    background: #f4f4f4;
    opacity: 0.95;
    filter: alpha(opacity=95); /* For IE8 and earlier */
    border: none;
    font-weight: bold;
}

.navbar-collapse {
    max-height: 260px !important;
}

.navbar-custom a {
    text-transform: uppercase;
}

.navbar-custom li a {
    font-size: 98%;
}

.navbar-custom li a img {
    vertical-align: text-top;
}

.navbar-custom li.active {
    background: #fff;
}

.navbar-custom li.active a {
    color: #204d74;
    font-size: 100%;
}

.navbar-custom li a:hover {
    background: #e8e8e8;
}

.navbar-custom li.cst {
    margin: 5px 15px;
}

.navbar-custom a.normal {
    text-transform: none;
    font-weight: bold;
    padding: 3px;
}

.navbar-custom a.simple {
    font-weight: normal;
    font-size: 96%;
}

.m10 {
    margin: 0 10px;
}

.footer {
    background: #f4f4f4;
    min-height: 45px;
    margin-left: 0px !important;
}

.footer span {
    line-height: 50px;
    margin-right: 10px;
}

span.user_title {
    text-transform: lowercase;
}

.logo_l {
    margin: 10px 20px 0 0;
    height: 30px;
}

.logo_r {
    margin: 0 20px 0 0;
    height: 30px;
}

.hash {
    font-size: 90%;
}

.nocaps {
    text-transform: none !important;
}

.nocaps span {
    margin-right: 0 !important;
}

.form input, .form select  {
    min-height: 28px;
    height: 28px;
}

.form textarea {
    resize: none;
}

.form .long {
    width: 100%;
}

/*Form Steps*/
.bs-wizard {margin-top: 10px;}
.bs-wizard {border-bottom: none; padding: 0;}
.bs-wizard > .bs-wizard-step {padding: 0; position: relative;}
.bs-wizard > .bs-wizard-step + .bs-wizard-step {}
.bs-wizard > .bs-wizard-step .bs-wizard-stepnum {color: #595959; font-size: 13px; margin-bottom: 5px;}
.bs-wizard > .bs-wizard-step .bs-wizard-info {color: #595959; font-size: 14px; font-weight: bold;}
.bs-wizard > .bs-wizard-step > .bs-wizard-dot {position: absolute; width: 30px; height: 30px; display: block; background: #f5f5f5; top: 45px; left: 50%; margin-top: -15px; margin-left: -15px; border-radius: 50%;}
.bs-wizard > .bs-wizard-step > .bs-wizard-dot:after {content: ' '; width: 14px; height: 14px; background: #f5f5f5; border-radius: 50px; position: absolute; top: 8px; left: 8px; }
.bs-wizard > .bs-wizard-step > .progress {position: relative; border-radius: 0px; height: 8px; box-shadow: none; margin: 20px 0;}
.bs-wizard > .bs-wizard-step > .progress > .progress-bar {width:0px; box-shadow: none; background: #337ab7;}
.bs-wizard > .bs-wizard-step.active > .progress > .progress-bar {width:0%;}
.bs-wizard > .bs-wizard-step.active > .bs-wizard-stepnum {font-weight: bold;}
.bs-wizard > .bs-wizard-step.active > .bs-wizard-dot {background-color: #337ab7;}
.bs-wizard > .bs-wizard-step.active > .bs-wizard-dot:after {background-color: #fff; /*#e8e8e8;*/}
.bs-wizard > .bs-wizard-step.complete > .progress > .progress-bar {width:100%;}
.bs-wizard > .bs-wizard-step.complete > .bs-wizard-dot {background-color: #337ab7;}
.bs-wizard > .bs-wizard-step.complete > .bs-wizard-dot:after {background-color: #337ab7; /* #337ab7 */}
.bs-wizard > .bs-wizard-step.completed > .progress > .progress-bar {width:100% !important;}
.bs-wizard > .bs-wizard-step.disabled > .bs-wizard-dot {background-color: #f5f5f5;}
.bs-wizard > .bs-wizard-step.disabled > .bs-wizard-dot:after {opacity: 0;}
.bs-wizard > .bs-wizard-step:first-child  > .progress {left: 50%; width: 50%;}
.bs-wizard > .bs-wizard-step:last-child  > .progress {width: 50%;}
.bs-wizard > .bs-wizard-step.disabled a.bs-wizard-dot{ pointer-events: none; }
.bs-wizard > .bs-wizard-step.enabled > .bs-wizard-dot {background-color: #74a9d8;}
.bs-wizard > .bs-wizard-step:first-child.active > .progress > .progress-bar {width:0%;}
.bs-wizard > .bs-wizard-step:last-child.active > .progress > .progress-bar {width: 0%;}
/*END Form Steps*/

/* Modal */
#divModal {
    z-index: 99999999;
}

.vertical-alignment-helper {
    display:table;
    height: 100%;
    width: 100%;
    pointer-events:none; /* This makes sure that we can still click outside of the modal to close it */
}

.vertical-align-center {
    /* To center vertically */
    display: table-cell;
    vertical-align: middle;
    pointer-events:none;
}

.modal .modal-content {
    width: inherit;
    height: inherit;
    max-height: 95vh;
    overflow-y: auto;
    margin: 0 auto;
    pointer-events: all;
}

.bigmodal {
   vertical-align: top !important;
}

.bigmodal .modal-content {
    width:80% !important;
}

#home a {
    color: #23527c;
    text-transform: none !important;
}

/* Menu */
.nav .glyphicon {
    margin: 0 5px;
}

/* JQuery DataTables sort column styling */
.sorting, .sorting_asc, .sorting_desc {
    cursor: pointer;
}

.sorting:before {
    content:"\e119";
    font-family:"Glyphicons Halflings";
    font-size: 90%;
    margin: 2px 5px 0 0;
}

.sorting_asc:before {
    content:"\e155";
    font-family:"Glyphicons Halflings";
    font-size: 90%;
    margin: 2px 5px 0 0;
}

.sorting_desc:before {
    content:"\e156";
    font-family:"Glyphicons Halflings";
    font-size: 90%;
    margin: 2px 5px 0 0;
}

/* Table */
.table {
    margin: 0px;
    table-layout: fixed;
    width: 100%;
}

.table td {
    /* overwride bootstrap */
    font-style: italic;
    padding: 2px 8px !important;
    word-wrap: break-word;
    vertical-align: middle !important;
}

.table thead tr {
    background-color: #337ab7;
    color: #fff;
}

.table thead th {
    padding: 2px 8px !important;
    word-wrap: break-word;
}

.table .btn {
    margin-right: 5px;
}

.table .btn[disabled] {
	background-color: #bbb;
	border-color: #bbb;
}

.table .label {
    font-size: 13px;
    text-shadow: none;
    vertical-align: middle;
    padding: .3em .6em .2em;
    display: inline-block;
    margin: 3px 0;
}

#deploy_table thead th {
    word-wrap: normal !important;
}

#deploy_table tr.details td {
    border-top: none !important;
}

#deploy_table tr.details:hover {
    background: none !important;
}

#deploy_table .pk {
    width: 65px;
}

#deploy_table .state {
    width: 100px;
}

#deploy_table .actions {
    text-align: right;
    width: 115px;
    margin-bottom: 5px;
}

#deploy_table .dates {
    width: 25%;
}

#deploy_table tr:hover + tr.details, #deploy_table tr.details:hover {
    background: #f5f5f5 !important;
}

#deploy_table .btn {
    margin-bottom: 5px;
}

/*
#deploy_table .model {
    width: 130px;
}
*/

#language-form {
    margin-right: 0px !important;
}

#language-form button {
    text-transform: uppercase;
}

.ellipses {
    max-width: 200px;
    overflow:hidden;
    text-overflow:ellipsis;
    /*display:inline-block;*/
    word-wrap: break-all;
}

.nobold {
    font-weight: normal;
}

#btn_save, #btn_new, #btn_extdep {
    margin-left: 10px !important;
    border-top-left-radius: 0px;
	border-top-right-radius: 0px;
}

/* Leaflet */
.leaflet-container, .leaflet-control-layers-expanded {
    font-size: 12px !important;
    cursor: grabbing !important;
}

.leaflet-container, .leaflet-bar, .leaflet-control-layers {
	box-shadow: none !important;
	border-radius: 4px !important;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.leaflet-control-layers-toggle {
    width: 26px !important;
    height: 26px !important;
}

.leaflet-control-layers-expanded {  /* all maps */
    /* overwride Leaflet */
    background: rgba(255,255,255,0.8) !important;
    box-shadow: none !important;
}

.leaflet-control-layers-expanded input, .leaflet-control-layers-expanded span {  /* all maps */
    /* overwride Leaflet */
    vertical-align: bottom !important;
    display: inline !important;
    line-height: 1.2 !important;
    cursor: pointer !important;
}

.leaflet-touch .leaflet-bar a {
    width: 26px !important;
    height: 26px !important;
    line-height: 26px !important;
}

.leaflet-touch .leaflet-control-layers, .leaflet-touch .leaflet-bar {
    border: 1px solid rgba(0,0,0,0.2) !important;
    background-clip: padding-box;
}

.leaflet-popup-content-wrapper {
	border-radius: 4px !important;
	box-shadow: none !important;
}

.leaflet-popup-content-wrapper p {
    text-align: center !important;
    margin: 0 !important;
    padding: 0 !important;
    font-weight: bold !important;
}

.leaflet-button {
    width: 28px !important;
    height: 28px !important;
    font-size: 12px !important;
    padding: 4px 6px !important;
}

.leaflet-popup-content {
    word-wrap: break-word !important;
}

/* Cursors */
.cursor-crosshair {
    cursor: crosshair !important;
}
.cursor-wait {
    cursor: progress !important;
}

/* invalid element */
.invalid {
  background: pink;
  opacity: 0.55;
  filter: alpha(opacity=55); /* For IE8 and earlier */
}

/* Rating widget */
.rating {
  text-align: center;
}
.rating input, .rating span {
  display: none;
}
.rating p {
  margin: 0;
  padding:0;
  font-weight: bold;
}
.rating label {
  margin-right: -4px;
}
.rating > label {
  width: 30px;
  height: 30px;
}
.rating > label::after {
  content: "\2606";
  display: inline-block;
  position: relative;
  font-size: 30px;
  color: #337ab7;
  width: 30px;
  height: 30px;
  cursor: pointer;
}
.rating > label.hover::after, .rating > label.active::after  {
  content: "\2605";
}

.float-sm-right {
    float: right;
    font-size: 95%;
}

.white {
    color: #fff !important;
}

.nav-pills {
    padding: 5px 0 10px 0 !important;
}

.nav-pills > li > a {
    padding: 5px 0;
    border: solid 1px #337ab7;
    margin: 1px;
    font-weight: bold;
}

.nav-pills > li > a {
    padding: 5px 0;
    border: solid 1px #efefef;
    margin: 0px;
    border-radius: 0;
}

.nav-pills > li.active > a, .nav-pills > li.active > a:focus, .nav-pills > li.active > a:hover {
    color: #fff;
    border: solid 1px #337ab7;;
    background-color: #337ab7;
}

span.label {
    cursor: default !important;
}

span.label a {
    color: #fff !important;
}

.modal-title {
    font-weight: bold;
    font-size: 120%;
}

.panel-title {
    font-size: 14px;
}

.text-large {
    font-size: 130%;
}

h2 {
    font-family: 'Roboto', sans-serif;
    font-size: 36px;
}

.h3-smaller {
    font-size: 20px;
}

.btn-xs.active {
    background-color: #5bc0de;
}

.disabled {
    opacity: 0.5;
    pointer-events: none;
    cursor: not-allowed;
}